/* --------------------------- BASIC --------------------------- */

body.welcome 
{
	/*background-color: #fc8455;*/
}

body.page
{
	/*background-color: #dcecc8;*/
}

body
{
	padding-top: 80px;
	font-family: 'Open Sans', sans-serif;
	color: #4C322E;
}

body#map-layout
{
	overflow: hidden;
}

body#welcome
{
	padding-top: 0 !important;
}

.action-btn button, .action-btn button:hover, .action-btn button:focus, .action-btn button:active
{ 
	margin-top: 20px;
	border-color: #f0875f !important;
	background-color: #f0875f !important;
	color: white !important;
}

.orange
{
	color: #f0875f;
}

.orange:hover, .orange:focus
{
	color: #ee7243;
}

.green
{
	color: #9BC768;
}

a
{
	color: #9BC768; 
}

a:hover, a:focus
{
	color: #8bbe50;
}

.more-link
{
	color: #4C322E;
	/*background-color: #DCEAC8;*/
	width: 100%;
	margin-bottom: 20px;
	height: 50px;
	margin-top:-7px;
	padding: 15px;
	/*border-top: 1px solid #c4dba2 !important;*/
}

.fa-btn
{
	padding-right: 6px;
}

.btn-primary
{
	background-color: #F08157;
	border-color: #ee7243;
}

.btn-primary:hover, .btn-primary:active, .btn-primary:focus
{
	background-color: #f0875f !important;
	border-color: #ee7243 !important;
}

hr.header{
	margin-top: 0;
}

/* --------------------------- NAVIGATION --------------------------- */
.shadow 
{
	box-shadow: 5px 5px 8px -4px rgba(0,0,0,.3);
}

.navbar
{
	min-height: 70px;
	background-color: white;
	padding-top: 7px;
	transition: box-shadow 0.2s;
	z-index: 20;
	border: 1px solid #d3d3d3;
	border-width: 0 0 1px;
}

.navbar-brand 
{
	font-family: 'Pacifico', cursive !important;
	font-size: 30px;
	color: #4C322E !important;
	height: 55px;
}

.navbar-brand p
{
	float: right;
}

.navbar-logo
{
	width: 50px;
	float: left;
	margin: 0px;
	margin-top: -13px;
	margin-right: 15px;
}

.navbar .navbar-nav > li > a
{
	padding-top: 20px;
	color: #4C322E !important;
}

.navbar-form
{
	margin-right: 0;
}

#navbar > ul.nav.navbar-nav.navbar-right > li.dropdown.open > ul > li > a
{
	color: #4C322E !important;
}


/* --------------------------- FOOTER  --------------------------- */
.footer
{
	position: absolute;
	bottom: 0;
	width: 100%;
	height: 60px;
	background-color: #f5f5f5;
	padding-top: 20px;
}

.footer-nav
{
	list-style: none;
	text-align: center;
}

.footer-nav li{
	display: inline-block;
}

.footer-nav li a{
	color: #777;
	text-decoration: none;
	padding-left: 20px;
	margin-top: 20px;
}

/* --------------------------- MAP --------------------------- */
#map 
{
	height: 100%;
	width: 100%;
	z-index:1;
	position: absolute;
	top: 0;
}

#map-landing
{
	height: 60%;
	width: 100%;
	z-index:1;
	position: absolute;
	bottom: 0;
	border-top: 3px solid #d8cfc9;
}

.landing-about
{
	padding-top: 20px;
	text-align: center;
}

.landing-about h1
{
	color: #4C322E;
}


.landing-about h2
{
	color: #d8cfc9;
}

.landing-about a
{
	margin-top: 30px;
}


#map-small
{
	height: 300px;
	width: 100%;
	z-index:1;
}

.on-map
{
	position: absolute;
	z-index: 2;
	background: white;
}

#create-location-form
{
	width: 30%;
	max-width: 450px;
	min-width: 360px;
	max-height: 60%;
	padding: 10px 20px 20px 20px;
	border-radius: 6px;
	border: 1px solid #d3d3d3;
	overflow: auto;
	left: 20px;
	display: none;
}

#create-location-form hr
{
	margin-top: 0px;
}

#main-tag-select-button
{
	width: 100% !important;
}

.move-handler
{
	cursor: move;
}

#create-location-btn
{
	bottom: 30px;
	left: 5%; 
	height: 70px;
	width: 10%;
	max-width: 200px;
	min-width: 160px;
	cursor: pointer;
	border-radius: 6px;
	border: 1px solid #d3d3d3;
}

#create-location-btn p
{
	font-weight: 600;
	font-size: 1.3em;
	text-align: center;
	line-height: 70px;
	margin-left: auto;
	margin-right: auto;

}

.location-info
{
	max-height: 60%;
	width: 30%;
	max-width: 400px;
	min-width: 300px;
	right: 30px;
	padding: 20px;
	display: none;
	border-radius: 6px;
	border: 1px solid #d3d3d3;
	overflow: auto;
}

.location-info i
{
	cursor: pointer;
}

.location-info img
{
	max-height: 300px;
	max-width: 100%;
}

.location-info .form-group
{
	margin-top: 15px;
}

.location-info .img-xs
{
	margin: 5px;
}

#filter-tags-btn
{
	display: none;
	bottom: 20px;
	left: 220px; 
	height: 70px;
	width: 180px;
	cursor: pointer;
	border-radius: 6px;
	border: 1px solid #d3d3d3;
}
.close-filter-tags
{
	display: none;
}
#tags-container
{
	/*height: 130px;*/
	width: 70%;
	min-width: 890px;
	bottom: 0;
	right: 5%;
	box-sizing: border-box;
	font-size: 0;
	border-top-left-radius: 6px;
	border-top-right-radius: 6px;
	border: 1px solid #d3d3d3;
}

#tags-container .filter-header
{
	font-size: 13px;
	margin: 10px 0 0 5px;
}

#tags-container hr
{
	margin: 10px 0 10px 0;
}

#tags-container label strong
{
	text-overflow: ellipsis;

	/*word-break: break-all;*/
}

#tags-container .tag
{
	width: 10%;
	height: 80px;
	text-align: center;
	padding: 0px;
	padding-bottom: 10px;
	margin: 0px;
	box-sizing: border-box;
	font-size: 12px;
	-ms-word-break: break-all;
	word-break: break-all;

	/* Non standard for webkit */
	word-break: break-word;

	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	-ms-hyphens: auto;
	hyphens: auto;
}

#tags-container .tag img
{
	display: block;
	margin-left: auto;
	margin-right: auto;
	cursor: pointer;
	box-sizing: border-box;
}





#add-short-fact{
	cursor: pointer;
}

input.readonly{
	opacity : .50;
	filter  : alpha(opacity=50); /* IE<9 */
	cursor  : default;
}

#fa-check
{
	color: green;
}

#fa-times
{
	color:red;
}

.icon-clickable
{
	cursor: pointer;
}

.clickable-row
{
	cursor: pointer;
}

#images-preview img
{
	max-width: 100px;
	max-height: 100px;
}

#images-preview img.featured 
{
	border: 2px solid #F08157;
}

.location-img
{
	max-width: 100px;
	max-height: 100px;	
}

img.location-img.featured
{
	border: 2px solid #F08157;	
}

.uploaded-image
{
	position: relative;
	display: inline-block;
	width: 110px;

}

.uploaded-image i
{
	position: absolute;
	top: 0;
	right: 0;
}

.add-tags
{
	width: 100%;
	font-size: 0px;
	box-sizing: border-box;
}

.add-tags .tagName{
	font-size: 14px;
}

.add-tags .tag
{
	padding-left: 0px;
	margin-left: 0px;
	width: 10%;
	text-align: center;
	margin: 0 auto auto 0;
}

.tags img
{
	opacity: 0.3;
	filter: alpha(opacity=30); /* For IE8 and earlier */
}

.tags .selected img
{
	opacity: 1;
	filter: alpha(opacity=100); /* For IE8 and earlier */
}

.add-tags .selected.main .tagName
{
	font-weight: 900;
}

.add-tags .selected.main
{
	border: 2px solid #f0875f;
	border-radius: 4px;
	/*padding: 3px;*/
}





/* Main tag - dropdown */


/* select with custom icons */
.ui-selectmenu-menu .ui-menu.customicons .ui-menu-item 
{
	padding: 0.5em 0 0.5em 3em;
}
.ui-selectmenu-menu .ui-menu.customicons .ui-menu-item .ui-icon 
{
	height: 24px;
	width: 24px;
	top: 0.1em;
}

.ui-icon.tag_none
{
	background: url("") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_1 
{
	background: url("../img/tags/tag_1.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_2 
{
	background: url("../img/tags/tag_2.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_3 
{
	background: url("../img/tags/tag_3.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_4 
{
	background: url("../img/tags/tag_4.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_5 
{
	background: url("../img/tags/tag_5.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_6 
{
	background: url("../img/tags/tag_6.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_7 
{
	background: url("../img/tags/tag_7.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_8 
{
	background: url("../img/tags/tag_8.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_9
{
	background: url("../img/tags/tag_9.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

.ui-icon.tag_10 
{
	background: url("../img/tags/tag_10.png") 0 0 no-repeat;
	background-size: 24px 24px;
}

/* Show user - show account */
.avatar
{
	width: 100%;
	max-width: 300px;
}

.comment-avatar
{
	width: 100%;
	max-height: 70px;
	max-width: 70px;
}


#images-preview img{
	display: inline-block;
}

.img-xs
{
	max-width: 30px !important;
	max-height: 30px !important;
}

.img-s
{
	max-width: 50px;
	max-height: 50px;
}

.img-m
{
	max-width: 300px;	
	max-height: 300px;	
}

.img-l
{

}

.tag-list li
{
	list-style-type: none;
}

#ratings div
{
	display:inline-block;
}



/* ------------------------------------ */
/* https://developers.google.com/maps/documentation/javascript/examples/places-autocomplete 15-5-2016 */
.controls 
{
	/*margin-top: 10px;*/
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	/*	height: 32px;*/
}

#pac-input 
{
	background-color: #fff;
	margin-left: 12px;
	padding: 0 11px 0 13px;
	text-overflow: ellipsis;
	width: 300px;
	margin-top: 5px;
}

#type-selector 
{
	color: #fff;
	background-color: #4d90fe;
	padding: 5px 11px 0px 11px;
}

#target 
{
	width: 345px;
}
/* ------------------------------------ */
.location-tags img
{
	margin: 0 0 5px 5px;
}

.locations-list .table thead
{
	background-color: #DCEAC8;
}

.locations-list .table tr:hover
{
	background-color: #d2e4b8;
}

.locations-list .table
{
	border: 1px solid #8bbe50 !important;
	line-height: 2.3;
}

.pagination>.active>a,
.pagination>.active>a:focus, 
.pagination>.active>a:hover,
.pagination>.active>span, 
.pagination>.active>span:focus, 
.pagination>.active>span:hover
{
	color: black;
	background-color: #DCEAC8;
	border-color: #8bbe50;
}

.pagination>li>a, 
.pagination>li>span
{
	color: #9BC768;
}

.pagination>li>a:focus, 
.pagination>li>a:hover, 
.pagination>li>span:focus, 
.pagination>li>span:hover
{
	color: #8bbe50;
}

.page-404
{
	padding-top: 100px;
}


/*---------------------- MEDIA QUERIES ---------------------*/
@media only screen and (max-width: 1210px)
{
	.close-filter-tags
	{
		display: block;
		margin-left: 5px;
	}

	#tags-container
	{
		display: none;
		min-width: 480px !important; 
		width: 480px;
		height: 220px;
		left: 20px;
		bottom: 110px;
		border-radius: 6px;
	}

	#tags-container .tag
	{
		width: 20%;
	}

	#create-location-btn
	{
		width: 180px;
		left: 20px;
		bottom: 20px;
	}

	#filter-tags-btn
	{
		display: block;
	}

	#filter-tags-btn p
	{
		font-weight: 600;
		font-size: 1.3em;
		text-align: center;
		line-height: 70px;
		margin-left: auto;
		margin-right: auto;
	}
}

@media only screen and (max-width: 550px) and (min-width: 360px)
{
	#create-location-btn
	{
		width: 140px;
		min-width: 140px;
		left: 20px;
		bottom: 20px;
		font-size: 1em;
	}

	#filter-tags-btn
	{
		left: 180px;
		width: 140px;
		font-size: 1em;
	}

	#filter-tags-btn p
	{
		font-size: 1em;
	}

	#create-location-btn p
	{
		font-size: 1em;
	}

	#tags-container
	{
		display: none;
		min-width: 220px !important; 
		width: 180px;
		height: 280px;
		left: 20px;
		bottom: 100px;
		padding-top: 15px;
	}

	#tags-container .tag
	{
		width: 50%;
		height: 50px;
	}

	#tags-container .tag img
	{
		width: 30px;
		height: 30px;
	}
	
	#tags-container .filter-header, #tags-container hr
	{
		display: none;
	}
}


@media only screen and (max-height: 850px)
{
	#map-landing
	{
		height: 50%;
	}
}

@media only screen and (max-height: 690px)
{
	#map-landing
	{
		height: 40%;
	}
}


@media only screen and (max-height: 570px)
{
	#map-landing
	{
		height: 30%;
	}
}